.section--single_page {
  overflow: hidden;
  padding-top: get-vw(60px);

  @include bellow($android-landscape) {
    padding-top: get-vw(35px, 375);
  }
}

.single_page {
  padding-bottom: get-vw(60px);

  @include between($desktop-sm, $desktop-mac) {
    padding-bottom: get-vw(55px, 1440);
  }
  @include between($mobile, $desktop-sm) {
    padding-bottom: get-vw(45px, 1024);
  }
  @include between($android-landscape, $mobile) {
    padding-bottom: get-vw(40px, 820);
  }
  @include bellow($android-landscape) {
    padding-bottom: get-vw(35px, 375);
  }

  &__form {
    width: get-vw(740px);
    margin: auto;
    padding: get-vw(55px) get-vw(75px) get-vw(50px);
    background: #fff;
    border: 1px solid $grayBG;
    box-shadow: 0 10px 25px 10px rgba(0, 0, 0, 0.1);

    @include between($desktop-sm, $desktop-mac) {
      width: get-vw(680px, 1440);
      padding: get-vw(50px, 1440) get-vw(70px, 1440);
    }
    @include between($mobile, $desktop-sm) {
      width: get-vw(620px, 1024);
      padding: get-vw(40px, 1024) get-vw(50px, 1024);
    }
    @include between($android-landscape, $mobile) {
      width: get-vw(560px, 820);
      padding: get-vw(35px, 820) get-vw(45px, 820);
    }
    @include bellow($android-landscape) {
      width: calc(100% - #{get-vw(10px, 375)});
      padding: get-vw(35px, 375) get-vw(20px, 375);
    }
  }

  &__wrap {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;

    @include bellow($android-landscape) {
      margin: 0;
    }
  }

  &__col {
    width: calc(50% - 20px);
    margin: 0 10px get-vw(60px);

    @include bellow($android-landscape) {
      width: 100%;
      margin: 0 0 get-vw(35px, 375);
    }

    &.col--left {
      padding-right: get-vw(152px);

      @include bellow($desktop-mac) {
        padding-right: get-vw(50px, 1440);
      }
      @include bellow($android-landscape) {
        padding-right: get-vw(20px, 375);
      }
    }

    &.col--full {
      width: calc(100% - 20px);

      @include bellow($android-landscape) {
        width: 100%;
      }
    }

    & ~ {
      .col {
        &--left .single_page__text {
          transition-delay: 0.2s, 0.2s;
        }
        &--right .single_page__text {
          transition-delay: 0.3s, 0.3s;
        }
      }
    }
  }

  &__full-center {
    margin: 0 0 get-vw(50px);
    text-align: center;
    font: 400 #{get-vw(44px)} / 1.3 $titleFont;
    letter-spacing: 0.03em;
    color: $titleColor;

    @include bellow($desktop-sm) {
      font-size: get-vw(28px, 1024);
    }
    @include bellow($android-landscape) {
      margin-bottom: 0;
      font-size: get-vw(21px, 375);
    }
  }

  &__full-center,
  &__h1,
  &__title,
  &__sub-title,
  &__date,
  &__links,
  &__text,
  &__signature {
    transition: transform 1.2s $cubic, opacity 0.65s ease;

    &[data-anim="false"] {
      transform: translate3d(0, get-vw(65px), 0);
      opacity: 0;
    }
  }

  &__date {
    display: block;
    margin-bottom: get-vw(20px);
    color: $titleColor;
    font-size: get-vw(14px);
    letter-spacing: 0.4em;
    text-transform: uppercase;

    @include bellow($desktop-sm) {
      margin-bottom: get-vw(15px, 1024);
      font-size: get-vw(12px, 1024);
    }
    @include bellow($android-landscape) {
      margin-bottom: get-vw(15px, 375);
      font-size: get-vw(12px, 375);
      letter-spacing: 0.2em;
    }
  }

  &__h1,
  &__title {
    position: relative;
    padding: get-vw(20px) 0;
    font: 400 #{get-vw(44px)} / 1.3 $titleFont;
    letter-spacing: 0.03em;
    color: $titleColor;

    @include between($desktop-sm, $desktop-mac) {
      padding: get-vw(18px, 1440) 0;
      font-size: get-vw(36px, 1440);
    }
    @include bellow($desktop-sm) {
      padding: get-vw(15px, 1024) 0;
      font-size: get-vw(28px, 1024);
    }
    @include bellow($android-landscape) {
      padding: get-vw(12px, 375) 0;
      font-size: get-vw(24px, 375);
    }

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: get-vw(132px);
      height: 2px;
      margin: auto;
      background: $black;
      transition: transform 1s $cubic 0.3s;
      transform-origin: 0 50%;
      opacity: 0.1;
    }
    &[data-anim="false"] {
      &::before {
        transform: scaleX(0);
      }
    }

    & ~ .single_page__text {
      transition-delay: 0.2s, 0.2s;
    }
  }

  &__title {
    font-size: get-vw(52px);

    @include bellow($desktop-sm) {
      font-size: get-vw(32px, 1024);
    }
    @include bellow($android-landscape) {
      font-size: get-vw(28px, 375);
    }
  }

  &__sub-title {
    padding-top: get-vw(30px);
    color: $titleColor;
    font: 400 #{get-vw(36px)} / 1.3 $titleFont;

    @include bellow($desktop-sm) {
      padding-top: get-vw(20px, 1024);
      font-size: get-vw(24px, 1024);
    }
    @include bellow($android-landscape) {
      padding-top: get-vw(15px, 375);
      font-size: get-vw(18px, 375);
    }
  }

  &__links {
    padding-bottom: get-vw(6px);
    transition-delay: 0.1s, 0.1s;

    @include bellow($desktop-sm) {
      padding-bottom: get-vw(5px, 1024);
    }
    @include bellow($android-landscape) {
      padding-bottom: get-vw(5px, 375);
    }
  }

  &__link {
    position: relative;
    display: inline-block;
    vertical-align: top;
    margin-right: get-vw(40px);
    color: $titleColor;
    letter-spacing: 0.4em;
    text-transform: uppercase;

    @include between($desktop-sm, $desktop-mac) {
      margin-right: get-vw(25px, 1440);
      font-size: 13px;
    }
    @include bellow($desktop-sm) {
      margin-right: get-vw(20px, 1024);
      font-size: 12px;
      letter-spacing: 0.3em;
    }
    @include bellow($android-landscape) {
      margin-right: get-vw(10px, 35);
      font-size: 11px;
      letter-spacing: 0.2em;
    }

    &::after {
      content: "";
      position: absolute;
      right: 0.2em;
      bottom: -0.2em;
      left: -0.2em;
      display: block;
      height: 1px;
      margin: auto;
      background: $titleColor;
      transition: transform 0.85s $cubic;
      transform: scaleX(0);
      transform-origin: 0 50%;
    }

    &:hover::after {
      transform: scaleX(1);
    }
  }

  &__signature {
    padding-top: get-vw(60px);
    font-size: get-vw(24px);
    line-height: 1.3;
    color: $textColor;

    @include bellow($desktop-sm) {
      padding-top: get-vw(40px, 1024);
      font-size: get-vw(18px, 1024);
    }
    @include bellow($android-landscape) {
      padding-top: get-vw(25px, 375);
      font-size: get-vw(16px, 375);
    }

    img {
      margin: 0 0 get-vw(10px);
    }
    p {
      margin: 0;
    }
  }
  &__text {
    margin-top: get-vw(40px);

    @include bellow($desktop-sm) {
      margin-top: get-vw(30px, 1024);
    }
    @include bellow($android-landscape) {
      margin-top: get-vw(25px, 375);
    }

    a {
      color: $gray;

      &:hover {
        text-decoration: underline;
      }
    }

    img {
      display: block;
      max-width: 100%;
      margin: 0 0 get-vw(36px);

      @include between($android-landscape, $desktop-sm) {
        margin-bottom: get-vw(25px, 1024);
      }
      @include bellow($android-landscape) {
        margin-bottom: get-vw(20px, 375);
      }

      &:last-child {
        margin-bottom: 0;
      }
    }

    p,
    ul {
      margin: 0 0 get-vw(36px);
      font-size: get-vw(24px);
      line-height: 1.3;
      color: $textColor;

      @include between($android-landscape, $desktop-sm) {
        margin-bottom: get-vw(25px, 1024);
        font-size: get-vw(16px, 1024);
      }
      @include bellow($android-landscape) {
        margin-bottom: get-vw(20px, 375);
        font-size: get-vw(14px, 375);
      }

      &:last-child {
        margin-bottom: 0;
      }
    }

    b,
    strong {
      color: $textColor;
      font-weight: 700;
      font-family: $textFont;
    }

    ul {
      padding: 0;
      list-style: none;

      &:last-child {
        margin-bottom: 0;
      }

      li {
        position: relative;
        display: block;
        margin: 0 0 get-vw(36px);
        padding-left: get-vw(28px);

        @include bellow($desktop-sm) {
          margin: 0 0 get-vw(25px, 1024);
          padding-left: get-vw(18px, 1024);
        }
        @include bellow($android-landscape) {
          margin-bottom: get-vw(25px, 375);
          padding-left: get-vw(15px, 375);
        }

        &:last-child {
          margin-bottom: 0;
        }

        &::before {
          content: "";
          position: absolute;
          top: get-vw(12px);
          left: 0;
          display: block;
          width: get-vw(8px);
          height: get-vw(8px);
          background: $black;
          border-radius: 50%;

          @include bellow($desktop-sm) {
            top: get-vw(8px, 1024);
            width: get-vw(6px, 1024);
            height: get-vw(6px, 1024);
          }
          @include bellow($android-landscape) {
            top: get-vw(7px, 375);
            width: get-vw(6px, 375);
            height: get-vw(6px, 375);
          }
        }
      }
    }
  }

  &__exhib-img {
    position: relative;
    display: inline-block;
    transition: transform 1.2s $cubic, opacity 0.65s ease;

    &[data-anim="false"] {
      transform: translate3d(0, get-vw(65px), 0);
      opacity: 0;
    }

    &::before {
      @include absFull;

      content: "";
      z-index: 0;
      background: #CECECE;
      transform: translate3d(get-vw(10px), get-vw(10px), 0);
      transition: transform 0.8s $cubic;
    }

    &::after {
      content: "";
      position: absolute;
      display: block;
      top: get-vw(-60px);
      //bottom: get-vw(-40px);
      left: get-vw(-280px);
      z-index: 0;
      width: 160%;
      height: 8px;
      background: $grayF2;
      transform: rotate(-45deg);
      transition: transform 0.4s;
      transform-origin: 100% 100%;
    }

    img {
      position: relative;
      z-index: 1;
      max-width: 100%;
    }
  }

  &__image {
    position: relative;
    overflow: hidden;
    display: block;
    margin-bottom: get-vw(60px);
    transition: transform 1.2s $cubic, opacity 0.65s ease;

    @include bellow($desktop-sm) {
      margin-bottom: get-vw(40px, 1024);
    }
    @include bellow($android-landscape) {
      margin-bottom: 0;
    }

    img {
      width: 100%;
      transition: transform 1.8s $cubic;
    }

    &[data-anim="false"] {
      transform: translate3d(0, get-vw(65px), 0);
      opacity: 0;

      img {
        transform: scale(1.2);
      }
    }
  }

  &__full {
    position: relative;
    width: 100%;
    padding: get-vw(50px) 0;
    text-align: center;
    text-transform: capitalize;
    transition: transform 1.2s $cubic 0.1s, opacity 0.65s ease 0.1s;

    @include bellow($desktop-sm) {
      padding: get-vw(40px, 1024) 0;
    }
    @include bellow($android-landscape) {
      padding: get-vw(35px, 375) 0;
    }

    &[data-anim="false"] {
      transform: translate3d(0, get-vw(65px), 0);
      opacity: 0;
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      right: 0;
      left: 0;
      display: block;
      height: 2px;
      margin: auto;
      background: $textColor;
      opacity: 0.3;
    }

    &::before {
      top: 0;
      width: get-vw(588px);
      transition: transform 1s $cubic 0.2s;
    }

    &::after {
      bottom: 0;
      width: get-vw(116px);
      transition: transform 1s $cubic 0.3s;
    }

    &[data-anim="false"] {
      &::before,
      &::after {
        transform: scaleX(0);
      }
    }

    p {
      margin: 0 0 get-vw(28px);
      font: 400 #{get-vw(28px)} / 1.3 $titleFont;
      letter-spacing: 0.03em;
      color: $titleColor;

      @include bellow($desktop-sm) {
        margin-bottom: get-vw(18px, 1024);
        font-size: get-vw(18px, 1024);
      }
      @include bellow($android-landscape) {
        margin-bottom: get-vw(15px, 375);
        font-size: get-vw(16px, 375);
      }

      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}
